import request from '@/utils/request'

export function fetchList(query) {
  return request({
    url: '/api/tag/tagtype/list',
    method: 'get',
    params: query
  })
}

export function OffLineOrOnLine(data) {
  return request({
    url: '/api/tag/tagtype/list/update',
    method: 'post',
    data
  })
}

export function CreateTagType(data) {
  return request({
    url: '/api/tag/tagtype/create',
    method: 'post',
    data
  })
}

export function fetchTagTypeDetail(id) {
  return request({
    url: '/api/tag/tagtype/detail',
    method: 'get',
    params: { id }
  })
}
